For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bulk Enrollments

Get a specific bulk enrollment

get
Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Order ID

Responses
200

bulk enrollment found

application/json
get/api/v1/order_items/history/bulk_enrollments/{id}
GET /api/v1/order_items/history/bulk_enrollments/{id} HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
200

bulk enrollment found

{
  "bulk_purchase": {
    "order": {
      "id": 1,
      "created_at": "text",
      "updated_at": "text",
      "full_id": "text",
      "account_id": 1,
      "user_id": 1,
      "canvas_user_id": 1,
      "canvas_root_account_uuid": "text",
      "source": "text",
      "currency": "text",
      "purchased_at": "text",
      "total": 1,
      "email": "text",
      "name": "text",
      "items": [
        {
          "id": 1,
          "created_at": "text",
          "updated_at": "text",
          "order_id": 1,
          "item_id": 1,
          "amount": 1,
          "canvas_root_account_uuid": "text",
          "discounted_amount": 1,
          "quantity": 1,
          "unit_price": 1
        }
      ]
    },
    "product": {
      "id": 1,
      "visibility": "text",
      "enrollment_open": true,
      "title": "text",
      "enrollment_fee": 1,
      "account_id": 1,
      "type": "text",
      "canvas_root_account_uuid": "text",
      "waitlist": true,
      "limited": true,
      "started": true,
      "program": true,
      "course": true,
      "ended": true,
      "days_to_complete": 1,
      "enrollment_cap": 1
    },
    "bulk_invitations": [
      {
        "order_item_id": 1,
        "invitation_id": 1,
        "status": "text"
      }
    ]
  }
}

List bulk enrollments

get
Authorizations
AuthorizationstringRequired
Query parameters
fromstring · date-timeOptional

Only include bulk enrollments from this date

tostring · date-timeOptional

Only include bulk enrollments to this date

canvas_user_idsinteger[]Optional

Only include bulk enrollments for the specified Canvas user IDs

Responses
200

bulk enrollments listed

application/json
get/api/v1/order_items/history/bulk_enrollments
GET /api/v1/order_items/history/bulk_enrollments HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
200

bulk enrollments listed

{
  "bulk_enrollments": [
    {
      "bulk_purchase": {
        "order": {
          "id": 1,
          "created_at": "text",
          "updated_at": "text",
          "full_id": "text",
          "account_id": 1,
          "user_id": 1,
          "canvas_user_id": 1,
          "canvas_root_account_uuid": "text",
          "source": "text",
          "currency": "text",
          "purchased_at": "text",
          "total": 1,
          "email": "text",
          "name": "text",
          "items": [
            {
              "id": 1,
              "created_at": "text",
              "updated_at": "text",
              "order_id": 1,
              "item_id": 1,
              "amount": 1,
              "canvas_root_account_uuid": "text",
              "discounted_amount": 1,
              "quantity": 1,
              "unit_price": 1
            }
          ]
        },
        "product": {
          "id": 1,
          "visibility": "text",
          "enrollment_open": true,
          "title": "text",
          "enrollment_fee": 1,
          "account_id": 1,
          "type": "text",
          "canvas_root_account_uuid": "text",
          "waitlist": true,
          "limited": true,
          "started": true,
          "program": true,
          "course": true,
          "ended": true,
          "days_to_complete": 1,
          "enrollment_cap": 1
        },
        "bulk_invitations": [
          {
            "order_item_id": 1,
            "invitation_id": 1,
            "status": "text"
          }
        ]
      }
    }
  ]
}

Last updated

Was this helpful?